Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
zigbee::ZigbeeManager::StateChangedEvent Struct Reference

State changed. More...

`import <ZigbeeManager.idl;`

Inheritance diagram for zigbee::ZigbeeManager::StateChangedEvent:

## Public Attributes
DongleState | oldState
| the old state
DongleState | newState
| the new state
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

State changed.

Definition at line 70 of file ZigbeeManager.idl.

## Member Data Documentation

## ◆ newState

DongleState zigbee::ZigbeeManager::StateChangedEvent::newState

the new state

Definition at line 72 of file ZigbeeManager.idl.

## ◆ oldState

DongleState zigbee::ZigbeeManager::StateChangedEvent::oldState

the old state

Definition at line 71 of file ZigbeeManager.idl.

The documentation for this struct was generated from the following file:

- ZigbeeManager.idl